- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstMidiEvent Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | type
| kVstMidiType
VstInt32 | byteSize
| sizeof (VstMidiEvent)
VstInt32 | deltaFrames
| sample frames related to the current block start sample position
VstInt32 | flags
VstInt32 | noteLength
| (in sample frames) of entire note, if available, else 0
VstInt32 | noteOffset
| offset (in sample frames) into note from note start if available, else 0
char | midiData [4]
| 1 to 3 MIDI bytes; midiData[3] is reserved (zero)
char | detune
| -64 to +63 cents; for scales other than 'well-tempered' ('microtuning')
char | noteOffVelocity
| Note Off Velocity [0, 127].
char | reserved1
| zero (Reserved for future use)
char | reserved2
| zero (Reserved for future use)

## Detailed Description

MIDI Event (to be casted from VstEvent).

## Member Data Documentation

VstInt32 VstMidiEvent::byteSize

sizeof (VstMidiEvent)

VstInt32 VstMidiEvent::deltaFrames

sample frames related to the current block start sample position

char VstMidiEvent::detune

-64 to +63 cents; for scales other than 'well-tempered' ('microtuning')

VstInt32 VstMidiEvent::flags

See also:
  VstMidiEventFlags

char VstMidiEvent::midiData[4]

1 to 3 MIDI bytes; midiData[3] is reserved (zero)

VstInt32 VstMidiEvent::noteLength

(in sample frames) of entire note, if available, else 0

VstInt32 VstMidiEvent::noteOffset

offset (in sample frames) into note from note start if available, else 0

char VstMidiEvent::noteOffVelocity

Note Off Velocity [0, 127].

char VstMidiEvent::reserved1

zero (Reserved for future use)

char VstMidiEvent::reserved2

zero (Reserved for future use)

VstInt32 VstMidiEvent::type

kVstMidiType

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.